package cc.fascinated.bat.common;

/**
 * @author Fascinated (fascinated7)
 */
public class NumberUtils {
    /**
     * Parses a string to an integer
     *
     * @param input the string to parse
     * @return the parsed integer, or -1 if invalid
     */
    public static int parseInt(String input) {
        try {
            return Integer.parseInt(input);
        } catch (NumberFormatException exception) {
            return -1;
        }
    }
}
