package cc.fascinated.bat.features.counter;

import cc.fascinated.bat.features.Feature;
import cc.fascinated.bat.features.FeatureProfile;
import cc.fascinated.bat.features.counter.command.CounterCommand;
import cc.fascinated.bat.service.CommandService;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class CounterFeature extends Feature {
    @Autowired
    public CounterFeature(@NonNull ApplicationContext context, @NonNull CommandService commandService) {
        super("Counter", FeatureProfile.FeatureState.DISABLED, true);

        super.registerCommand(commandService, context.getBean(CounterCommand.class));
    }
}
